/*
 * BankOrderService.java
 *
 * Created on February 21, 2007, 3:08 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package bankorder.service;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

/**
 *
 * @author Martin Grebac
 */
@WebService()
public class BankOrderService {

    @WebMethod(operationName="receiveOrder" )
    public String receiveOrder(@WebParam(name="id") String id,
            @WebParam(name="submitterAccount") String submitterAccount,
            @WebParam(name="receiverAccount") String receiverAccount,
            @WebParam(name="amount") int amount) {
        
        System.out.println("Amount [ " + 
                amount + " ] would be subtracted from [ " + 
                submitterAccount + "] and will be credited to [ " + 
                receiverAccount + " ] ");
        
        return "BankOrder Received: " + id;
    }
    
    @WebMethod()
    public String receiveMessage(@WebParam(name="message") String message) {
        return "Received Message: " + message;        
    }
    
}
